### Method

# EBackend UserPrompter extension_prompt_finish

since: 3.8

#### Declaration [src]

    gint
    e_user_prompter_extension_prompt_finish (
      EUserPrompter* prompter,
      GAsyncResult* result,
      ENamedParameters* out_values,
      GError** error
    )

#### Description [src]

Finishes the operation started with e_user_prompter_extension_prompt(). Caller can provide `out_values` to get additional values provided by the extension. In case the caller is not interested in additional values, it can pass `NULL` `out_values`. The `out_values` will be cleared first, then any values will be added there. Only the caller and the extension know about meaning of the result code and additional values.

If an error occurred, the function sets `error` and returns -1. If there is no extension providing given dialog name, the operation finishes with a G_IO_ERROR, G_IO_ERROR_NOT_FOUND `error`.

Available since: 3.8

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`out_values`

  Type: `ENamedParameters`

  Where to store values from the extension, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

Result code of the prompt, as defined by the extension, or -1 on error.